# GML configuration file for WP2X.
#
# Written 5/20/89 by Raymond Chen.
#
# If you change this file, please make a note of it below
# and in the BEGIN string.
#
# Version 0.0:  Initial version.
# Version 0.1:  COMMENT tag added 23-Jul-1991.
# Version 0.2:  Note numbers.
# Version 0.3:  New output scheme.

HPg="%\n.pa\n"               # Hard page forces a new page
HRt="%\n"                    # Hard return does nothing; the :P will be
                             # produced when we hit a Tab.
SRt="%\n"                    # Soft return is a newline
Tab=":P."                    # Tab marks the start of a new paragraph

-="-"                        # Hyphens are hyphens
--="-+\\n"                   # Hyphen at the end of a line gets a +
=="-"                        # Nonbreaking hyphen (does it exist?)
\-=""                        # Discretionary hyphen does not exist
\--="+\n"                    # Discretonary hyphen at the end of the line

Und=":hp1."                  # Underlining uses level 1
und=":ehp1."
Bold=":hp2."                 # Boldface uses level 2
bold=":ehp2."

# Margins are left as comments, since changing the margin on the fly
# is tricky.
Marg="%\n.* left margin %1, right margin %2\n"

Indent=":LQ."                # Assume we indent for long quotes.
indent=":eLQ."               # It's a reasonable assumption.

Fn=":FN."                    # Standard tags.
fn=":eFN."
En=":EN."
en=":eEN."
FNote#=""                    # Note numbers are automatically generated.
ENote#=""                    # Note numbers are automatically generated.

# Line spacing changes are treated by dropping into Script.
# This is dangerous, of course.
# There is no way to do spacing different from 1 or 2.

SS="%\n.ss\n"
1.5S="%\n.* Switch to 1.5 spacing\n"
DS="%\n.ds\n"
TS="%\n.* Switch to triple spacing\n"
LS="%\n.* Switch to %1/2 spacing\n"

# At the beginning of the file, we load the proper style file
# and the laser files.
# We also put in some identification.
BEGIN=".* This file was created by the WP2X program, using a GML
.* descriptor file (Version 0.3) written by Raymond Chen.
.*
.* Do not expect everything to be converted perfectly.
.*
.im gmlthesi
.im laser
:GDOC
:FRONTM
:eFRONTM
:BODY
"

# At the end of the file, we close up some tags.
END=".*
:eBODY
:eGDOC
.* End of file
"
Comment="%\n.* "
comment="\n"
